import React, { Component } from 'react';
import { CommonThemeProps } from '../types';
import { GroupProps as NextGroupProps } from '@alifd/next/types/input';
import { InputProps as NextInputProps } from '@alifd/next/types/input';
import { PasswordProps as NextPasswordProps } from '@alifd/next/types/input';
import { TextAreaProps as NextTextAreaProps } from '@alifd/next/types/input';
interface TextAreaProps extends NextTextAreaProps, CommonThemeProps {
}
declare class TextArea extends React.Component<TextAreaProps, any> {
    render(): JSX.Element;
}
interface PasswordProps extends Omit<NextPasswordProps, 'size'> {
    size?: 'large' | 'medium' | 'small' | 'xs';
    theme?: 'white' | 'grey';
}
declare class Password extends React.Component<PasswordProps, any> {
    render(): JSX.Element;
}
interface GroupProps extends NextGroupProps {
    theme?: 'white' | 'grey';
}
declare class Group extends React.Component<GroupProps, any> {
    render(): JSX.Element;
}
interface InputProps extends Omit<NextInputProps, 'size'> {
    size?: 'large' | 'medium' | 'small' | 'xs';
    theme?: 'white' | 'grey';
}
declare class Input extends Component<InputProps> {
    static TextArea: typeof TextArea;
    static Group: typeof Group;
    static Password: typeof Password;
    render(): JSX.Element;
}
export default Input;
